Bug 1024888 - librtas src.rpm contains compiled ELF files
librtas src.rpm contains compiled ELF files
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: librtas (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jakub Čajka
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 10:46 EDT by Alexander Todorov
Modified: 2014-06-18 04:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: librtas-1.3.8-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:35:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2013-10-30 10:46:05 EDT
Description of problem:

The are librtas.so.$version librtasevent.so.$version and libofdt.so.$version ELF files available in the source rpm, inside the tar.gz archive. 

Version-Release number of selected component (if applicable):
librtas-1.3.8-2.el7.src.rpm
Comment 2 Karsten Hopp 2014-03-07 13:50:24 EST
I won't pack a new tarball, but make sure that the files get deleted and then rebuilt (if necessary)
Comment 4 Alexander Todorov 2014-03-19 10:21:29 EDT
(In reply to Karsten Hopp from comment #2)
> I won't pack a new tarball, but make sure that the files get deleted and
> then rebuilt (if necessary)

You have forgotten to remove librtasevent_src/librtasevent.so.1.3.6

Btw why not find -name "*.so.*" -delete ? 

I'm still waiting for an appropriate system where I can rebuild the binary package and inspect the contents. Not sure if librtasevent.so gets rebuild.
Comment 5 Karsten Hopp 2014-03-19 10:52:02 EDT
Sorry, I've skipped librtasevent.so.1.3.6. Would you like me to respin the package ?

librtasevent.so.1.3.6 gets rebuilt, but better save than sorry:

> CC librtasevent_src/get_rtas_event.o
> CC librtasevent_src/print_rtas_event.o
> CC librtasevent_src/rtas_cpu.o
> CC librtasevent_src/rtas_dump.o
> CC librtasevent_src/rtas_epow.o
> CC librtasevent_src/rtas_io.o
> CC librtasevent_src/rtas_lri.o
> CC librtasevent_src/rtas_mem.o
> CC librtasevent_src/rtas_post.o
> CC librtasevent_src/rtas_sp.o
> CC librtasevent_src/rtas_srcfru.o
> CC librtasevent_src/rtas_v6_misc.o
> CC librtasevent_src/rtas_vend.o
> LD librtasevent_src/librtasevent.so.1.3.8...
Comment 6 Alexander Todorov 2014-03-19 11:07:24 EDT
After rebuilding the current package librtas.so.1.3.6, librtas.so.1.3.7 and libofdt.so.1.3.6 are all removed and replaced by their 1.3.8 counterparts.


While librtasevent.so.1.3.6 is not removed and we end up with two versions in the BUILD/ dir:
librtasevent.so.1.3.6
librtasevent.so.1.3.8


*Only* librtasevent.so.1.3.8 is packaged in the binary RPM which is what is expected.
Comment 8 Alexander Todorov 2014-03-20 04:48:43 EDT
(In reply to Alexander Todorov from comment #6)
> While librtasevent.so.1.3.6 is not removed ...


With librtas-1.3.8-6.el7 all .so files are removed and then rebuilt.
Comment 9 Ludek Smid 2014-06-13 06:35:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.